gnutls_handshake_get_last_out(3)

NAME
gnutls_handshake_get_last_out - Returns the last handshake message sent.

SYNOPSIS
#include <gnutls/gnutls.h>

gnutls_handshake_description_t gnutls_handshake_get_last_out(gnutls_session_t session);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

DESCRIPTION
This function is only useful to check where the last performed handshake failed. If the previous handshake succeed or was not performed at all then no meaningful value will be returned. Check gnutls_handshake_description_t in gnutls.h for the available handshake descriptions.

RETURNS
the last handshake message type sent, a gnutls_handshake_description_t.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>. GnuTLS home page: http://www.gnu.org/software/gnutls/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2008 Free Software Foundation.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.